Vla-put-description

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-description vla-object description )


機能
オブジェクトの説明を指定する。


引数
  • vla-object … VLAオブジェクト(DynamicBlockReferenceProperty、Layer、Linetype、Material、MLeaderStyle、TableStyle)
  • description … オブジェクトに割り当てられた説明。 読み込み専用: いいえ(DynamicBlockReferenceProperty オブジェクトを除く)


戻り値
nil


  • ダイナミック ブロック参照プロパティの説明は、ブロックの作成者によって設定され、編集することはできない。
  • 線種の説明には最大 47 文字入力できる。説明には、コメントまたは線種パターンを簡潔に示す一連のアンダースコア(_)、ドット(.)、ダッシュ(-)、スペースを入力できる。


サンプル
(vl-load-com)
(defun c:Example_TitleSuppressed()
(vl-load-com)
(defun c:Example_description ()
    ;; 表スタイルオブジェクトを作成し、スタイル名とか
    ;; その他の属性の値を設定するサンプル。
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    (setq dictionaries (vla-get-Dictionaries doc))
    (setq dictObj (vla-Item dictionaries "acad_tablestyle"))
    
    ;; 辞書でカスタム TableStyle オブジェクトを作成
    (setq keyName "NewStyle"
          className "AcDbTableStyle")
  
    (setq customObj (vla-AddObject dictObj keyName className))
      
    (vla-put-Name customObj "NewStyle")
    (vla-put-Description customObj "New Style for My Tables")
  
    (vla-put-FlowDirection customObj acTableBottomToTop)
    (vla-put-HorzCellMargin customObj 0.22)
    (vla-put-BitFlags customObj 1)
    (vla-SetTextHeight customObj (+ acDataRow acTitleRow) 1.3)
    (vla-SetTextStyle customObj (+ acDataRow acTitleRow) "Standard")

    (setq col (vlax-create-object "AutoCAD.AcCmColor.20")) ; バージョンに合わせて変える
    (vla-SetRGB col 12 23 45)
  
    (vla-SetBackgroundColor customObj (+ acDataRow acTitleRow) col)
    (vla-SetGridVisibility customObj (+ acHorzInside acHorzTop) (+ acDataRow acTitleRow) :vlax-true)
    (vla-SetAlignment customObj (+ acDataRow acTitleRow) acBottomRight)
    (vla-SetRGB col 244 0 0)
    (vla-SetGridColor customObj (+ acHorzTop acHorzInside) acDataRow col)
      
    (alert (strcat "テーブルスタイル名 = " (vla-get-Name customObj)
                   "\nスタイルの説明 = " (vla-get-Description customObj)
                   "\n流れの方向 = " (itoa (vla-get-FlowDirection customObj))
                   "\nセルの水平余白 = " (rtos (vla-get-HorzCellMargin customObj) 2)
                   "\nビットフラグ = " (itoa (vla-get-BitFlags customObj))
                   "\nタイトル行の文字の高さ = " (rtos (vla-GetTextHeight customObj acTitleRow) 2)
                   "\nタイトル行のテキスト スタイル = " (vla-GetTextStyle customObj acTitleRow)
                   "\n水平下面タイトル行グリッドの可視性 = " (if (= (vla-GetGridVisibility customObj acHorzBottom acTitleRow) :vlax-true) "True" "False")
                   "\nタイトル行の配置 = " (itoa (vla-GetAlignment customObj acTitleRow))
                   "\nヘッダーの抑制 = " (if (= (vla-get-HeaderSuppressed customObj) :vlax-true) "True" "False")
                   "\nタイトルの省略 = " (if (= (vla-get-TitleSuppressed customObj) :vlax-true) "True" "False")
	   )
    )
    (vlax-release-object col)  
)
)

関連事項